Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.builders
Class ListOpenPrescriptionBuilder

    java.lang.Object
      be.ehealth.businessconnector.recipe.builders.ListOpenPrescriptionBuilder

Deprecated.

    @Deprecated
    public class ListOpenPrescriptionBuilder

extends Object

The Class ListOpenPrescriptionBuilder.

Constructor Summary
`ListOpenPrescriptionBuilder()` Deprecated.
`ListOpenPrescriptionBuilder(Crypto crypto)` Deprecated. Use it without crypto

Method Summary
`ListOpenPrescriptionsRequest` | `buildRequest()` Deprecated. Builds the request.
`GetListOpenPrescriptionResult` | `buildResult(ListOpenPrescriptionsResponse response)` Deprecated. Builds the result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListOpenPrescriptionBuilder

    @Deprecated
    public ListOpenPrescriptionBuilder(Crypto crypto)

  Deprecated. Use it without crypto

  Instantiates a new list open prescription builder.

### ListOpenPrescriptionBuilder

    public ListOpenPrescriptionBuilder()

  Deprecated.

Method Detail

### buildRequest

    public ListOpenPrescriptionsRequest buildRequest()
                                              throws TechnicalConnectorException

  Deprecated.
  Builds the request.

  Returns:
    the list open prescriptions request
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### buildResult

    public GetListOpenPrescriptionResult buildResult(ListOpenPrescriptionsResponse response)
                                              throws TechnicalConnectorException

  Deprecated.
  Builds the result.

  Parameters:
    `response` - the response
  Returns:
    the gets the list open prescription result
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.